local excam = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")

function onBegin()
  makeUnskippable()
  disableMovement()
  wait(2)
  say("CC_Pointside_Ending_B")
  player.DummyAutoAnimate = false
  player.Sprite:Play("Ending_SitLook")
  wait(4)
  setFlag("ShootingStar",true)
  wait(0.7)
  setFlag("ShootingStar",false)
  setFlag("doorOpening",false)
  say("CC_Pointside_Ending_C")
  setFlag("ending_blackout")
  wait(8)
  setFlag("ending_blackout",false)
  teleportTo(12840, -456, "x00 - Credits")
 end